Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxcell
Class JCChart

    java.lang.Object
      JCPanel
          com.jxcell.JCChart

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.KeyListener

public class JCChart
extends JCPanel
implements java.awt.event.KeyListener

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`JCChart()`
`JCChart(Chart chart1)`

Method Summary
`void` | `FromXML(java.io.FileInputStream fileInputStream)`
`static java.lang.String` | `get_uniqueID()`
`Chart` | `getChart()`
`int` | `getImageFormat()`
`java.lang.String` | `getImageMap(java.lang.String id)`
`ChartSelection` | `getSelection()`
`javax.swing.JComponent` | `getThis()`
`void` | `keyPressed(java.awt.event.KeyEvent keyevent)`
`void` | `keyReleased(java.awt.event.KeyEvent keyevent)`
`void` | `keyTyped(java.awt.event.KeyEvent keyevent)`
`void` | `paint(java.awt.Graphics g)`
`void` | `paint0(java.awt.Graphics g)`
`void` | `paint1(java.awt.Graphics g)`
`byte[]` | `saveImage()`
`void` | `setAllowSelections(boolean bAllowSelection)`
`void` | `setAllowUserChanges(boolean bAllowUserChanges)`
`void` | `setImageFormat(int imageFormat)`
`void` | `setViewScale(int scale)`
`void` | `toXML(java.io.FileOutputStream fileOutputStream)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### JCChart

    public JCChart()

### JCChart

    public JCChart(Chart chart1)

Method Detail

### getChart

    public Chart getChart()

### getSelection

    public ChartSelection getSelection()

### getThis

    public javax.swing.JComponent getThis()

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent keyevent)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent keyevent)

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent keyevent)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### paint

    public void paint(java.awt.Graphics g)

### paint0

    public void paint0(java.awt.Graphics g)

### paint1

    public void paint1(java.awt.Graphics g)

### setAllowSelections

    public void setAllowSelections(boolean bAllowSelection)

### setAllowUserChanges

    public void setAllowUserChanges(boolean bAllowUserChanges)

### setViewScale

    public void setViewScale(int scale)

### get_uniqueID

    public static java.lang.String get_uniqueID()

### saveImage

    public byte[] saveImage()

### setImageFormat

    public void setImageFormat(int imageFormat)

### getImageFormat

    public int getImageFormat()

### toXML

    public void toXML(java.io.FileOutputStream fileOutputStream)
               throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

### FromXML

    public void FromXML(java.io.FileInputStream fileInputStream)
                 throws java.io.IOException,
                        javax.xml.parsers.ParserConfigurationException,
                        org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### getImageMap

    public java.lang.String getImageMap(java.lang.String id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD